call bat\f17.bat


:qh
    set Subarea=
    set /p Subarea=请输入你要切换到的分区，a和b，不区分大小写：
    if not defined Subarea ( echo - 请输入分区名字 & goto qh )
    if "!Subarea!"=="A" ( set "Subarea=a" )
    if "!Subarea!"=="B" ( set "Subarea=b" )
    if "!Subarea!"=="a" ( goto qhz )
    if "!Subarea!"=="b" ( goto qhz )
    %error% 请输入正确的分区名字 & goto qh

:qhz
    echo - 开始切换到 _!Subarea! 分区
    pause
    fastboot --set-active=!Subarea!
    echo - 切换完成。
    %fcq%
